clang-tools 10.0.0

Namespaces | Enumerations | Functions
ClangdMain.cpp File Reference
`#include "ClangdLSPServer.h"`
`#include "CodeComplete.h"`
`#include "Features.inc"`
`#include "Path.h"`
`#include "PathMapping.h"`
`#include "Protocol.h"`
`#include "Shutdown.h"`
`#include "Trace.h"`
`#include "Transport.h"`
`#include "index/Background.h"`
`#include "index/Serialization.h"`
`#include "clang/Basic/Version.h"`
`#include "clang/Format/Format.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/CommandLine.h"`
`#include "llvm/Support/FileSystem.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/Process.h"`
`#include "llvm/Support/Program.h"`
`#include "llvm/Support/Signals.h"`
`#include "llvm/Support/TargetSelect.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <chrono>`
`#include <cstdlib>`
`#include <iostream>`
`#include <memory>`
`#include <mutex>`
`#include <string>`
`#include <thread>`
`#include <unistd.h>`
Include dependency graph for ClangdMain.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Enumerations
enum | clang::clangd::@781::CompileArgsFrom
enum | clang::clangd::@781::CompletionStyleFlag
enum | clang::clangd::@781::PCHStorageFlag
enum | ErrorResultCode : int { ErrorResultCode::NoShutdownRequest = 1, ErrorResultCode::CantRunAsXPCService = 2 }

## Functions
int | main (int argc, char *argv[])

## Enumeration Type Documentation

## ◆ CompileArgsFrom

enum clang::clangd::@781::CompileArgsFrom

Definition at line 67 of file ClangdMain.cpp.

## ◆ CompletionStyleFlag

enum clang::clangd::@781::CompletionStyleFlag

Definition at line 167 of file ClangdMain.cpp.

## ◆ ErrorResultCode

enum ErrorResultCode : int
| strong

Enumerator
NoShutdownRequest |
CantRunAsXPCService |

Definition at line 455 of file ClangdMain.cpp.

## ◆ PCHStorageFlag

enum clang::clangd::@781::PCHStorageFlag

Definition at line 313 of file ClangdMain.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 460 of file ClangdMain.cpp.

References clang::clangd::requestShutdown().